package entities

import (
	"github.com/google/uuid"
	"gorm.io/gorm"
	"time"
)

type Project struct {
	gorm.Model
	ID           uuid.UUID `gorm:"type:uuid;primaryKey;default:uuid_generate_v4()"`
	Name         string
	Abbreviation string
	Description  string
	CreatedAt    time.Time
	UpdatedAt    time.Time
	ClientId     uuid.UUID
}
