package entities

import (
	"github.com/google/uuid"
	"gorm.io/gorm"
	"time"
)

type Log struct {
	gorm.Model
	ID          uuid.UUID `gorm:"type:uuid;primaryKey;default:uuid_generate_v4()"`
	ProjectId   uuid.UUID
	TaskId      uuid.UUID
	CreatedAt   time.Time
	UpdatedAt   time.Time
	StartTime   time.Time
	EndTime     time.Time
	Description string
}
